let data = [
  {
    Stadt: "Köln",
    Lat: 50.937531,
    Long: 6.960279,
    Beschreibung:
      "Cologne, a 2,000-year-old city spanning the Rhine River in western Germany, is the region's cultural hub. A landmark of High Gothic architecture set amid reconstructed old town, the twin-spired Cologne Cathedral is also known for its gilded medieval reliquary and sweeping river views. The adjacent Museum Ludwig showcases 20th-century art, including many masterpieces by Picasso, and the Romano-Germanic Museum houses Roman antiquities.",
  },
  {
    Stadt: "Berlin",
    Lat: 52.520008,
    Long: 13.404954,
    Beschreibung:
      "Berlin, Germany's capital, dates to the 13th century. Reminders of the city's turbulent 20th-century history include its Holocaust memorial and the Berlin Wall's graffitied remains. Divided during the Cold War, its 18th-century Brandenburg Gate has become a symbol of reunification. The city's also known for its art scene and modern landmarks like the gold-colored, swoop-roofed Berliner Philharmonie, built in 1963.",
  },
  {
    Stadt: "Hamburg",
    Lat: 53.551086,
    Long: 9.993682,
    Beschreibung:
      "Hamburg, a major port city in northern Germany, is connected to the North Sea by the Elbe River. It's crossed by hundreds of canals, and also contains large areas of parkland. Near its core, Inner Alster lake is dotted with boats and surrounded by cafes. The city's central Jungfernstieg boulevard connects the Neustadt (new town) with the Altstadt (old town), home to landmarks like 18th-century St. Michael's Church.",
  },
];

let map = new maplibregl.Map({
  container: "map",
  style: "https://tiles.basemaps.cartocdn.com/gl/voyager-gl-style/style.json",
  center: [13.4008747, 52.5169723],
  zoom: 4,
});

for (const city of data) {
  let popup = new maplibregl.Popup({ offset: 25 }).setHTML(`<h3>${city.Stadt}</h3><p>${city.Beschreibung}</p>`);
  new maplibregl.Marker().setLngLat([city.Long, city.Lat]).setPopup(popup).addTo(map);
}

// Walkthrough functionality
let selectedIndex = -1;
document.getElementById("walkthrough").addEventListener("click", () => {
  selectedIndex = (selectedIndex + 1) % data.length;
  map.flyTo({
    center: [data[selectedIndex].Long, data[selectedIndex].Lat],
    zoom: 14,
    essential: true,
  });
});
